List all SIP trunk connections
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/channels/sip-trunk/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/channels/sip-trunk/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/channels/sip-trunk/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"items": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone_number": "<string>",
"gateway": "<string>",
"secondary_gateway": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}
}SIP Trunk
List all SIP trunk connections
Returns SIP trunk connections configured for the workspace. Use this before assigning a SIP trunk to an agent for calls. Authentication secrets are never returned; only connection metadata, phone number, gateway, and status are included.
GET
/
api
/
v1
/
channels
/
sip-trunk
/
connections
List all SIP trunk connections
⌘I